XdkWrl: SFVec3f Class Reference

Home | Hierarchy | Members | Alphabetical | Related Pages

# SFVec3f Class Reference
[Field Types]

`#include <sfvec3f.h>`

List of all members.

## Public Member Functions
| SFVec3f ()
| SFVec3f (const float *c)
| SFVec3f (const float x, const float y, const float z)
| operator const float * () const
| operator float * ()
float | x () const
float | y () const
float | z () const
void | setXYZ (const float x, const float y, const float z)
void | setX (const float)
void | setY (const float)
void | setZ (const float)
bool | operator== (const SFVec3f &c) const
## Static Public Member Functions
static const char * | typeName ()
static FieldTypeId | typeId ()
## Friends
std::ostream & | operator<< (std::ostream &s, const SFVec3f &f)

## Detailed Description

Represents a 3 coordinates (X,Y,Z) vector. Below is included the documentation for this field type from the ISO standard.

## 5.12 SFVec3f and MFVec3f

The SFVec3f field or event specifies a three-dimensional (3D) vector. An MFVec3f field or event specifies zero or more 3D vectors. SFVec3f's and MFVec3f's are written to the VRML file as three ISO C floating point values (see 2.[ISOC]) separated by whitespace. For example:

        fooVec3f [ 1 42 666, 7 94 0 ]

is an MFVec3f field, fooVec3f, with two valid vectors.

The initial value of an SFVec3f eventOut is (0 0 0). The initial value of an MFVec3f eventOut is [ ].

## Constructor & Destructor Documentation

SFVec3f | ( |  | ) | `[inline]`

SFVec3f | ( | const float * | c | ) | `[inline]`

SFVec3f | ( | const float | x,
|  | const float | y,
|  | const float | z |
| ) |  |  | `[inline]`

## Member Function Documentation

operator const float * | ( |  | ) | const`[inline]`

operator float * | ( |  | ) | `[inline]`

float x | ( |  | ) | const`[inline]`

float y | ( |  | ) | const`[inline]`

float z | ( |  | ) | const`[inline]`

void setXYZ | ( | const float | x,
|  | const float | y,
|  | const float | z |
| ) |  |  | `[inline]`

void setX | ( | const | float | ) | `[inline]`

void setY | ( | const | float | ) | `[inline]`

void setZ | ( | const | float | ) | `[inline]`

const char * typeName | ( |  | ) | `[inline, static]`

FieldTypeId typeId | ( |  | ) | `[inline, static]`

bool operator== | ( | const SFVec3f & | c | ) | const`[inline]`

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | s,
|  | const SFVec3f & | f |
| ) |  |  | `[friend]`

Generated on 5 Jan 2007 with version 1.5.1. |